
set echo on
set serveroutput on

BEGIN
   MERGE INTO emp_target et
      USING ( SELECT * FROM emp_source ) es
      ON    ( et.empno = es.empno )
   WHEN MATCHED THEN
   UPDATE
      SET et.ename  = es.ename
      ,   et.sal    = es.sal
      ,   et.mgr    = es.mgr
      ,   et.deptno = es.deptno
   WHEN NOT MATCHED THEN
   INSERT
      ( et.empno, et.ename, et.sal, et.mgr, et.deptno )
      VALUES
      ( es.empno, es.ename, es.sal, es.mgr, es.deptno );

   DBMS_OUTPUT.PUT_LINE(TO_CHAR(SQL%ROWCOUNT) || ' rows merged.');
END;
/
